%global commit      0bff2a6fb8f9c879aa72e3b11e48e022b5bac790
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Summary:  Simple interactive debugging utility
Name:     scanmem
Version:  0.14
Release:  2.%{shortcommit}%{?dist}
License:  GPLv2+
#Source0:  https://scanmem.googlecode.com/files/scanmem-%{version}.tar.gz
# 0.13 version has another filename
#Source0:  https://scanmem.googlecode.com/files/scanmem-0.13_.tar.gz
#Temporary use git version
Source0:  https://github.com/coolwanglu/scanmem/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz
# https://github.com/coolwanglu/scanmem/pull/14
# https://github.com/coolwanglu/scanmem/pull/15
# https://github.com/coolwanglu/scanmem/pull/16
Patch0:   0001-po-ru-comment-in-.desktop.patch
Patch1:   0002-po-ru-basic-translate.patch
Patch2:   0003-po-ru-add-ru-to-LINGUAS.patch
Patch3:   0004-po-ru-update-Russian-translation.patch
Patch4:   0005-Input-address-validation.patch
Patch5:   0006-Use-self.show_errors-always.patch
Patch6:   0007-return-if-no-process-after-show-error.patch
Patch7:   0008-po-gettext-.desktop.patch
Patch8:   0009-po-update.patch
Patch9:   0010-po-translable-policy-for-policykit.patch
Patch10:  0011-po-ru-translate-policy.patch
Patch11:  0012-po-ru-typo-fix.patch
VCS:      https://github.com/coolwanglu/scanmem.git
URL:      https://code.google.com/p/scanmem/

BuildRequires: intltool libtool
BuildRequires: readline-devel

%description
scanmem is a simple interactive debugging utility, used to locate the address
of a variable in an executing process. This can be used for the analysis or
modification of a hostile process on a compromised machine, reverse
engineering, or as a "pokefinder" to cheat at video games.

%package -n gameconqueror
Summary:  CheatEngline-alike interface for scanmem
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: polkit
Requires: pygobject2
BuildRequires: desktop-file-utils gettext

%description -n gameconqueror
GameConqueror aims to provide a CheatEngline-alike interface for scanmem, it's
user-friendly and easy to use. GameConqueror is written in PyGTK.

%prep
%setup -q -n %{name}-%{commit}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1

%build
./autogen.sh
%configure --enable-gui
make %{?_smp_mflags}

%install
%make_install
# TODO: drop after 19 EOL
# remove unversioned doc-dir. F19 and earlier use versioned.
%if 0%{?fedora} <= 19
  rm -rf %{buildroot}%{_docdir}/scanmem/
%endif
rm -f %{buildroot}/%{_libdir}/*.{a,la}
%find_lang GameConqueror

%check
make check
desktop-file-validate %{buildroot}%{_datadir}/applications/GameConqueror.desktop

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%doc ChangeLog README TODO COPYING
%{_mandir}/man1/scanmem.1*
%{_bindir}/scanmem
%{_libdir}/*.so*

%files -n gameconqueror -f GameConqueror.lang
%{_datadir}/applications/GameConqueror.desktop
%{_mandir}/man1/gameconqueror.1*
%{_datadir}/gameconqueror/
%{_datadir}/icons/hicolor/*/apps/GameConqueror.png
%{_bindir}/gameconqueror
%{_datadir}/polkit-1/actions/org.freedesktop.gameconqueror.policy

%changelog
* Sun Dec 08 2013 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.14-2.0bff2a6
- Russian translate
- Fix some crashes (alike RHBZ #1039313)
- spec: some fixes

* Sun Dec 01 2013 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.14-1.3e65b13
- Git fixes + improve pkexec

* Wed Sep  4 2013 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.13-7
- Add patch as downstream for fix shell command crash

* Wed Sep  4 2013 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.13-6
- Update icon fix (in app icons will present)

* Fri Aug 23 2013 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.13-5
- spec: Fix icons path and add scriptlets for gen icon-cache
- spec: some fixes

* Tue Aug 20 2013 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.13-4
- Force removing unversioned doc dir

* Tue Aug 20 2013 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.13-3
- Remove Application category in Desktop-file (deprecated)

* Tue Aug 20 2013 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.13-2
- spec: some fixes

* Tue Aug 20 2013 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.13-1
- Update to 0.13
- Add new sub-package gameconqueror (gui interface for scanmem)
- Drop unneeded tags and sections
- Few fixes in spec

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.07-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.07-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.07-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.07-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.07-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.07-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.07-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Dec 27 2007 Jakub Hrozek <jhrozek@redhat.com> 0.07-3
- Rebuild for GCC 4.3

* Thu Dec 27 2007 Jakub Hrozek <jhrozek@redhat.com> 0.07-2
- Refactored spec to match Fedora packaging guidelines

* Tue Jun 05 2007 Dag Wieers <dag@wieers.com> - 0.07-1 - 5269+/dag
- Updated to release 0.07.

* Sun Apr 15 2007 Dag Wieers <dag@wieers.com> - 0.06-1
- Updated to release 0.06.

* Sun Mar 04 2007 Dag Wieers <dag@wieers.com> - 0.05-1
- Updated to release 0.05.

* Tue Jan 30 2007 Dag Wieers <dag@wieers.com> - 0.04-1
- Initial package. (using DAR)
